<div id="list-page">
  <div>
    <mat-form-field style="min-width: 20rem">
      <input (keyup)="term$.next($event.target.value)" [(ngModel)]="searchbox" autocomplete="off" autofocus matInput
             placeholder="Rechercher un adhérent" type="search">
    </mat-form-field>
    <mat-checkbox (change)="cbChange()" [(ngModel)]="onlyBiz" matInput>Primo-entrant</mat-checkbox>
  </div>

  <mat-spinner *ngIf="loading"></mat-spinner>
  <div *ngIf="lastSearchResult" class="searchResults">
    <div class="list">
      <mat-card
        *ngFor="let member of lastSearchResult.results"
        [class.invalid]="!member.has_valid_membership"
        [routerLink]="'/view/'+member.id">
        <div>{{member.first_name}} {{member.last_name | uppercase}}</div>

        <mat-chip-list *ngIf="member.student_profile">
          <mat-chip>{{member.student_profile.department}}</mat-chip>
          <mat-chip>{{member.student_profile.study_year}}</mat-chip>
        </mat-chip-list>
        <a routerLink="/compta/{{member.id}}">Paiements</a>
      </mat-card>
    </div>
    <div *ngIf="lastSearchResult.hasNext" class="weHaveMore">
      Affichage limité à {{lastSearchResult.page_size}} résultats, il y en a {{lastSearchResult.count}} disponibles.
      Précisez la recherche ...
    </div>
  </div>
</div>
